﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KinectAPI
{
    public class GestureEventArgs : EventArgs
    {
        #region Properties

        /// <summary>
        /// Users skeletons list
        /// </summary>
        public readonly string gestureName;

        public readonly Object[] gestureArgs;

        #endregion

        #region Constructors

        /// <summary>
        /// Creates a new instance of UsersEventArgs with the nodes position specified
        /// </summary>
        /// <param name="_joints">The nodes</param>
        public GestureEventArgs(string name, Object[] args)
        {
            gestureName = name;
            gestureArgs = args;
        }

        #endregion
    }
}
