﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SetFocusDemo.Reflection.Contract;

namespace SetFocusDemo.Reflection.Demo
{
    class Program
    {
        static void Main(string[] args)
        {
            //load plugins from MyDocuments. This is just a demo, in a real scenario, you'd use some
            //specific custom folder
            IPluginInterface[] plugins = SetFocusDemo.Reflection.Loader.PluginLoader.GetPlugins(
                                    Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments));

            foreach (IPluginInterface plugin in plugins)
            {
                Console.WriteLine("Plugin: \"{0}\" was found and loaded.", plugin.Name);
            }

            Console.ReadLine();
        }
    }
}
